name: spasuce
description: Plateforme de mise en relation pour les appels d offres et prestations !!!

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.0+1

environment:
  sdk: ">=2.1.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  carousel_pro:
  http:
  json_annotation: ^3.0.0
  fluttertoast:
  flutter_localizations:
    sdk: flutter
  shared_preferences:
  flutter_html_view:
  flutter_html:
  html2md:
  flutter_markdown:
  provider:
  file_picker:
  json_table:
  multiselect_formfield: #pour les MultiSelectFormField
  intl: #pour les dateTime ...
  searchable_dropdown: #pour les dropdown avec recherche
  autocomplete_textfield: #pour l'autocompletion
  flutter_multiselect:
  dropdown_formfield:
  sqflite: #  package qui fournit les classes, methodes... d'acces à SQLite
  sqflite_migration: # pour les migration plus simple
  path: # pour definir l'emplacement de la bd sur le disk
  path_provider: # pour le getApplicationDocumentsDirectory() (cad recuperer un root chemin que le mobile seul peut use. Sur iOS le user peut voir) et autre ...
  dropdown_search:
  #downloads_path_provider: #Flutter plugin to get the downloads directory
  #simple_permissions: # pour les demandes de permissions pour avoir acces à des composants du device
  permission_handler:
  preferences: # pour les preferences
  dynamic_theme: # pour les changements de themes
  string_validator: # pour les validations classique de string
  regexed_validator: # un type de validors aussi mais avec les regex
  progress_indicators: #pour le chargement des pages

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^0.1.2

dev_dependencies:
  flutter_test:
    sdk: flutter
  build_runner: ^1.0.0
  json_serializable: ^3.2.0
  #cached_network_image:
  flutter_launcher_icons:

flutter_icons:
  image_path: "images/logo.jpeg" # ou image_path_android ou image_path_ios
  android: true #
  ios: true #

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:
  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - images/
    - images/logo.jpeg
    - i18n/ar.json
    - i18n/en.json
    - i18n/fr.json
    #  - images/a_dot_ham.jpeg
  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.
  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages
  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
